Package org.apache.uima.analysis_engine.metadata.impl

# Class FixedFlow_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.analysis_engine.metadata.impl.FixedFlow_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `FixedFlow`, `FlowConstraints`, `MetaDataObject`, `XMLizable`

public class FixedFlow_impl extends MetaDataObject_impl implements FixedFlow
Reference implementation of `FixedFlow`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

  ### Fields inherited from interface org.apache.uima.analysis_engine.metadata.FixedFlow

  `FLOW_CONSTRAINTS_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedFlow_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getFixedFlow()`
  Returns the flow as an array.
  `String`
  `getFlowConstraintsType()`
  Gets the type of this `FlowConstraints` object.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `remapIDs(Map<String,String> aIDMap)`
  Remaps the AE identifier Strings used in this FlowConstraints object.
  `void`
  `setFixedFlow(String[] aFlow)`
  Sets the fixed flow.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### FixedFlow_impl

    public FixedFlow_impl()

- ## Method Details

  - ### getFlowConstraintsType

    public String getFlowConstraintsType()
    Description copied from interface: `FixedFlow`
    Gets the type of this `FlowConstraints` object. Each sub-interface of `FlowConstraints` has its own standard type identifier String. These identifier Strings are used instead of Java class names in order to ease portability of metadata to other languages.
    Specified by:
      `getFlowConstraintsType` in interface `FixedFlow`
    Specified by:
      `getFlowConstraintsType` in interface `FlowConstraints`
    Returns:
      `FixedFlow.FLOW_CONSTRAINTS_TYPE`
    See Also:
      - `FixedFlow.getFlowConstraintsType()`

  - ### getFixedFlow

    public String[] getFixedFlow()
    Description copied from interface: `FixedFlow`
    Returns the flow as an array. Each element of the array is a String that identifies the AnalysisEngine to invoke at that position in the flow.
    Specified by:
      `getFixedFlow` in interface `FixedFlow`
    Returns:
      an array of AE identifiers.
    See Also:
      - `FixedFlow.getFixedFlow()`

  - ### setFixedFlow

    public void setFixedFlow(String[] aFlow)
    Description copied from interface: `FixedFlow`
    Sets the fixed flow.
    Specified by:
      `setFixedFlow` in interface `FixedFlow`
    Parameters:
      `aFlow` - an array of Strings, each of which identifies the AnalysisEngine to invoke at that position in the flow.
    See Also:
      - `FixedFlow.setFixedFlow(String[])`

  - ### remapIDs

    public void remapIDs(Map<String,String> aIDMap)
    Description copied from interface: `FlowConstraints`
    Remaps the AE identifier Strings used in this FlowConstraints object. This method is destructive.
    Specified by:
      `remapIDs` in interface `FlowConstraints`
    Parameters:
      `aIDMap` - a Map with String keys (the AE identifiers currently used by this object) and String values (the new IDs). Any identifiers that do not appear in this Map will not be remapped.
    See Also:
      - `FlowConstraints.remapIDs(Map)`

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation